curl --request GET \
--url https://api.botpress.cloud/v1/chat/states/{type}/{id}/{name} \
--header 'Authorization: Bearer <token>' \
--header 'x-bot-id: <x-bot-id>'{
"state": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"botId": "<string>",
"name": "<string>",
"type": "conversation",
"payload": {},
"conversationId": "<string>",
"userId": "<string>"
},
"meta": {
"cached": true
}
}Retrieves the State object for a valid identifiers.
curl --request GET \
--url https://api.botpress.cloud/v1/chat/states/{type}/{id}/{name} \
--header 'Authorization: Bearer <token>' \
--header 'x-bot-id: <x-bot-id>'{
"state": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"botId": "<string>",
"name": "<string>",
"type": "conversation",
"payload": {},
"conversationId": "<string>",
"userId": "<string>"
},
"meta": {
"cached": true
}
}Documentation Index
Fetch the complete documentation index at: https://botpress.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bot id
Integration id
Integration alias
Represents the resource type that the state is related to
conversation, user, bot, integration, workflow Id of the State which will be either the botId, the userId or the conversationId
Name of the State which is declared inside the bot definition
Was this page helpful?